Page MenuHomePhabricator

Create Flooder group on Ladino Wikipedia
Closed, ResolvedPublic

Description

See at La Kavané, our village pump. The main purpose for this is to allow me to do category maintenance using Cat-A-Lot without overwhelming the reporting system. I could create a bot account to do this, or even temporarily assign myself a bot flag. But I strongly prefer to do it this way as the most transparent approach possible. I fully understand how this permission works and will be careful with it. Request has been open for three months with no objections.

Event Timeline

StevenJ81 created this task.Apr 1 2016, 5:42 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptApr 1 2016, 5:42 PM

Ok, no one opposed it, but no support too?

No support except for me. It's a small community, and the only people contributing who probably have any idea what this even does are my two fellow administrators. And recently they've been present only sporadically.

Consensus is probably okay then.

To use this feature could be overkill: generally flood helps to avoid recent changes patrollers and some users of the community to become upset to see their RC interface or watchlist flooded.

Dereckson triaged this task as Low priority.Apr 3 2016, 8:49 PM
Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptApr 3 2016, 8:49 PM
MarcoAurelio renamed this task from Create Flooder group on Ladino Wikipedia` to Create Flooder group on Ladino Wikipedia.Apr 5 2016, 6:13 PM
Urbanecm claimed this task.Apr 7 2016, 9:32 AM

Recapitulation from ladwiki's village pump, sysops should be able grant or remove everyone a flood flag. If someone will be a bureaucrat and not a sysop (I know that ladwiki hasn't anyone who is bureaucrat and not a sysop but it can happen), should he/she be able to grant/remove flooder flag everyone? And should flooders be able to remove himself/herself the flag? Thanks for your answers.

My main experience with a wiki using the flooder group is Simple English Wikipedia, where sysops and 'crats can both grant and remove the flag. So I do think that both groups ought to be able to grant and remove the flag, and the notice in the village pump is worded to that effect. And that includes flagging/removing flag for oneself. As for flooders being able to remove their own flag, that certainly makes sense to me, if it's possible.

Ok. Flooders will be able to remove only their own flag, sysops and 'crats will be able to grant and remove the flag to/from all users in the wiki. Is this config ok?

You wrote that the notice includes granting the flag for oneself. What user group should be able to grant the flag only for oneself?

Sysops and 'crats.

Change 282201 had a related patch set uploaded (by Urbanecm):
Add flood group to ladwiki

https://gerrit.wikimedia.org/r/282201

Ok, I scheduled this patch to April 11 to morning SWAT window (see https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20160411T1500 ).

Thanks very much to all. Just one other question: Where on translatewiki.net do I find the group name (so I can translate it)? Thanks.

You're welcome.

Change 282201 merged by jenkins-bot:
Add flood group to ladwiki

https://gerrit.wikimedia.org/r/282201

Urbanecm closed this task as Resolved.Apr 11 2016, 3:11 PM
Urbanecm moved this task from To deploy to Done on the Wikimedia-Site-requests board.

Deployed.

Thank you very much. Have tested it, and works fine.

You're welcome :).